net.minecraft.client.shader

## Class ShaderDefault

- java.lang.Object
- - net.minecraft.client.shader.ShaderUniform
  - - net.minecraft.client.shader.ShaderDefault

-     public class ShaderDefault
      extends ShaderUniform

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShaderDefault()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_148081_a(float p_148081_1_, float p_148081_2_, float p_148081_3_, float p_148081_4_)`
    `void` | `func_148083_a(int p_148083_1_, int p_148083_2_, int p_148083_3_, int p_148083_4_)`
    `void` | `func_148087_a(float p_148087_1_, float p_148087_2_)`
    `void` | `func_148088_a(javax.vecmath.Matrix4f p_148088_1_)`
    `void` | `func_148090_a(float p_148090_1_)`
    `void` | `func_148092_b(float p_148092_1_, float p_148092_2_, float p_148092_3_, float p_148092_4_)`
    `void` | `func_148094_a(float p_148094_1_, float p_148094_2_, float p_148094_3_, float p_148094_4_, float p_148094_5_, float p_148094_6_, float p_148094_7_, float p_148094_8_, float p_148094_9_, float p_148094_10_, float p_148094_11_, float p_148094_12_, float p_148094_13_, float p_148094_14_, float p_148094_15_, float p_148094_16_)`
    `void` | `func_148095_a(float p_148095_1_, float p_148095_2_, float p_148095_3_)`
    `void` | `func_148097_a(float[] p_148097_1_)`

    - ### Methods inherited from class net.minecraft.client.shader.ShaderUniform

      `func_148084_b, func_148085_a, func_148086_a, func_148093_b`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShaderDefault

          public ShaderDefault()

  - ### Method Detail

    - #### func_148090_a

          public void func_148090_a(float p_148090_1_)

      Overrides:
        `func_148090_a` in class `ShaderUniform`

    - #### func_148087_a

          public void func_148087_a(float p_148087_1_,
                           float p_148087_2_)

      Overrides:
        `func_148087_a` in class `ShaderUniform`

    - #### func_148095_a

          public void func_148095_a(float p_148095_1_,
                           float p_148095_2_,
                           float p_148095_3_)

      Overrides:
        `func_148095_a` in class `ShaderUniform`

    - #### func_148081_a

          public void func_148081_a(float p_148081_1_,
                           float p_148081_2_,
                           float p_148081_3_,
                           float p_148081_4_)

      Overrides:
        `func_148081_a` in class `ShaderUniform`

    - #### func_148092_b

          public void func_148092_b(float p_148092_1_,
                           float p_148092_2_,
                           float p_148092_3_,
                           float p_148092_4_)

      Overrides:
        `func_148092_b` in class `ShaderUniform`

    - #### func_148083_a

          public void func_148083_a(int p_148083_1_,
                           int p_148083_2_,
                           int p_148083_3_,
                           int p_148083_4_)

      Overrides:
        `func_148083_a` in class `ShaderUniform`

    - #### func_148097_a

          public void func_148097_a(float[] p_148097_1_)

      Overrides:
        `func_148097_a` in class `ShaderUniform`

    - #### func_148094_a

          public void func_148094_a(float p_148094_1_,
                           float p_148094_2_,
                           float p_148094_3_,
                           float p_148094_4_,
                           float p_148094_5_,
                           float p_148094_6_,
                           float p_148094_7_,
                           float p_148094_8_,
                           float p_148094_9_,
                           float p_148094_10_,
                           float p_148094_11_,
                           float p_148094_12_,
                           float p_148094_13_,
                           float p_148094_14_,
                           float p_148094_15_,
                           float p_148094_16_)

      Overrides:
        `func_148094_a` in class `ShaderUniform`

    - #### func_148088_a

          public void func_148088_a(javax.vecmath.Matrix4f p_148088_1_)

      Overrides:
        `func_148088_a` in class `ShaderUniform`